=== debian/changelog ===
jsusfx (0.3.1-4) unstable; urgency=medium

  * Updated maintainer address
  * Updated Vcs-* stanzas to salsa.d.o
  * Enabled hardening
  * Added d/copyright_hints
  * Bumped dh compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 22:59:21 +0100

jsusfx (0.3.1-3) unstable; urgency=medium

  * Drop B-D on php7.0-cli (replaced by php-cli) (Closes: #861362)
  * Bumped standards to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Jul 2017 20:54:58 +0200

jsusfx (0.3.1-2) unstable; urgency=medium

  * Use PORTABLE builds on non-amd64 (Closes: #844028)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 12 Nov 2016 11:01:45 +0100

jsusfx (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #842813)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 10:03:05 +0100
