=== debian/rules ===
#!/usr/bin/make -f

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|.*\.xcuserstate$

%:
	dh $@

override_dh_auto_build:
ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
	make -C pd
else
	make -C pd PORTABLE=true
endif
	cp pd/jsusfx_test.pd jsusfx~-help.pd
	debian/liteon.sh
	dh_auto_build

override_dh_auto_clean:
	make -C pd clean
	-rm  -f jsusfx~-help.pd
	-rm -rf liteon
	-rm WDL/eel2/*.asm
	dh_auto_clean

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
