=== debian/changelog ===
jsusfx (0.4.0-7) unstable; urgency=medium

  * Force CMake policy to 3.10 (Closes: #1125539)
  * Use d/clean for cleaning up after build
  * prefer execute_(before|after)_dh_ over override_dh_
  * Better symlink pd.cmake
  * Update git repository layout to follow DEP-14
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete Rules-Requires-Root stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Feb 2026 16:10:55 +0100

jsusfx (0.4.0-6) unstable; urgency=medium

  * Fix FTBFS due to implicit function declaration
    (Closes: #1081868)
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Sep 2024 22:29:59 +0200

jsusfx (0.4.0-5) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 10:46:05 +0100

jsusfx (0.4.0-4) unstable; urgency=medium

  * Add patch to allow compilation with Pd>=0.52
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Dec 2021 10:29:45 +0100

jsusfx (0.4.0-3) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix FTCBFS: Fix build vs host confusion.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #980198)
  * Add salsa-ci configuration
  * Bump dh-compat to 13
  * Bump standards version to 4.5.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Feb 2021 22:07:16 +0100

jsusfx (0.4.0-2) unstable; urgency=medium

  * Build portable binaries on non-amd64
    * Patch for portable builds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 16:54:46 +0100

jsusfx (0.4.0-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * New upstream version 0.4.0
    * Remove patches applied upstream
  * Backport patch to remove duplicate 'midi' method
  * Switch to CMake build-system with "pd.build-cmake-module"
    * Simplify d/rules after upstream's switch to cmake
    * Fix clean and configure targets for new CMake based builds
  * Override broken upstream 'install' target
  * Pd-help patches now in pd/
  * Fix path to examples
  * Fix permsissions for .pd_linux files
  * Declare that "root" is not required to build this package
  * Fix version mangling to catch pre-releases
  * Update d/copyright
    * Update licensecheck ignore-regex
    * Regenerate d/copyright_hints
  * Bump dh-compat to 12

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1
  * d/changelog: Remove trailing whitespaces

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 14:05:35 +0100
