=== debian/control ===
Source: jsusfx
Section: sound
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 nasm [amd64],
 pd.build-cmake-module,
 php-cli [amd64],
Standards-Version: 4.7.3
Homepage: https://github.com/asb2m10/jsusfx
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/jsusfx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/jsusfx

Package: pd-jsusfx
Architecture: any
Depends:
 puredata-core,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Jesusonic FX scripting language for audio DSP (Pure Data)
 jsusfx is an Open Source implementation of the JSFX scripting language that was
 created by Cockos and is made available with Reaper (a commercial multitrack
 editor and recorder).
 .
 This package provides the Pd support for jsusfx.
