=== debian/rules ===
#!/usr/bin/make -f

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq (,$(findstring amd64,$(DEB_HOST_ARCH)))
	PORTABLE=ON
else
	PORTABLE=OFF
endif

%:
	dh $@ --sourcedirectory=pd

execute_before_dh_auto_configure:
	ln -s /usr/share/cmake/pd.build/pd.cmake pd/pd.build/
override_dh_auto_configure:
	dh_auto_configure -- \
		-DPORTABLE=$(PORTABLE) \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.10 \
		$(empty)
override_dh_auto_install:
	# broken..., just use d/*.install instead
execute_after_dh_fixperms:
	find debian/*/usr/ -name '*.pd_linux' -exec \
		chmod 0644 {} +


DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian(/.*)?|.*\.xcuserstate
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
